[arch-commits] Commit in nextcloud-app-spreed/repos (2 files)

David Runge dvzrv at archlinux.org
Tue Jul 6 19:46:24 UTC 2021


    Date: Tuesday, July 6, 2021 @ 19:46:20
  Author: dvzrv
Revision: 973683

archrelease: copy trunk to community-testing-any

Added:
  nextcloud-app-spreed/repos/community-testing-any/
  nextcloud-app-spreed/repos/community-testing-any/PKGBUILD
    (from rev 973682, nextcloud-app-spreed/trunk/PKGBUILD)

----------+
 PKGBUILD |   39 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 39 insertions(+)

Copied: nextcloud-app-spreed/repos/community-testing-any/PKGBUILD (from rev 973682, nextcloud-app-spreed/trunk/PKGBUILD)
===================================================================
--- community-testing-any/PKGBUILD	                        (rev 0)
+++ community-testing-any/PKGBUILD	2021-07-06 19:46:20 UTC (rev 973683)
@@ -0,0 +1,39 @@
+# Maintainer: David Runge <dvzrv at archlinux.org>
+
+_name=spreed
+pkgname=nextcloud-app-spreed
+pkgver=12.0.0
+pkgrel=1
+# epoch needed, because of fake semver:
+# https://github.com/nextcloud/spreed/issues/1685
+epoch=1
+pkgdesc="Video & audio-conferencing using WebRTC"
+arch=('any')
+url="https://apps.nextcloud.com/apps/spreed"
+license=('AGPL3')
+groups=('nextcloud-apps')
+depends=('nextcloud>=22' 'nextcloud<23')
+checkdepends=('ripgrep' 'yq')
+source=("https://github.com/nextcloud-releases/${_name}/releases/download/v${pkgver}/${_name}-${pkgver}.tar.gz")
+sha512sums=('c4264b27f2cdc5c1f4019d6fa909b15937f2002d379aa2067d62efde2fe969127a232a47891bcdcfcb1cffbcaa1f761d49843538c9f28b87f5664906d1598e03')
+b2sums=('5fc8098b7b22d495d254062afdf7d7dbffb504364186362b2831a3149baa383cb41ea149f72769150d0c00f67ceccfae258258fd0ff79c51c9da552873f9ea43')
+
+prepare() {
+  find ${_name} -type f -exec chmod 644 {} +
+  find ${_name} -type d -exec chmod 755 {} +
+}
+
+check() {
+  local _app_min_major_version="$(xq '.info.dependencies.nextcloud["@min-version"]' "${_name}/appinfo/info.xml"| sed 's/"//g')"
+  local _app_max_major_version="$(xq '.info.dependencies.nextcloud["@max-version"]' "${_name}/appinfo/info.xml"| sed 's/"//g')"
+  local _nextcloud_major_version="$(rg "OC_Version = " /usr/share/webapps/nextcloud/version.php |cut -d'(' -f2| cut -d ',' -f1)"
+  if [[ "$(vercmp "${_nextcloud_major_version}" "${_app_min_major_version}")" -lt 0 ]] || [[ "$(vercmp "${_nextcloud_major_version}" "${_app_max_major_version}")" -gt 0 ]] ; then
+    printf "%s requires nextcloud >= %s/ nextcloud <= %s, but nextcloud %s is provided.\n" "$pkgname" "${_app_min_major_version}" "${_app_max_major_version}" "${_nextcloud_major_version}"
+    exit 1
+  fi
+}
+
+package() {
+  install -vdm 755 "${pkgdir}/usr/share/webapps/nextcloud/apps/"
+  cp -av "${_name}" "${pkgdir}/usr/share/webapps/nextcloud/apps/"
+}




More information about the arch-commits mailing list